Version: 3.9.5
Release: alt1
Name: emacs-sml-mode
Copyright: GPL
Group: Editors
Url: http://emacs-sml-mode.sourceforge.net/
Summary: Standard ML mode for Emacs
Summary(ru_RU.CP1251):   Emacs    Standard ML

Source: sml-mode-%{version}.tar.gz
Source1: sml-mode-emacs.el

BuildArch: noarch
Requires: emacs-common

# Automatically added by buildreq on Thu Aug 05 2002
BuildRequires: emacs-common

%description
This package contains an emacs major mode for editing Standard ML source code.

%description -l ru_RU.CP1251
       
    Standard ML.

%prep
%setup -n sml-mode-%{version}

%build
make prefix=%{_prefix}

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/sml-mode/
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/sml-mode/

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 sml-mode.info $RPM_BUILD_ROOT%{_infodir}

mkdirhier $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/sml-mode.el

%post
cd %{_infodir}
install-info --dir-file=/etc/info-dir sml-mode.info.bz2

%preun
cd %{_infodir}
install-info --dir-file=/etc/info-dir --delete sml-mode.info.bz2

%files
%defattr(-, root, root)
%doc README ChangeLog BUGS INSTALL NEWS TODO testcases.sml
%dir %{_emacslispdir}/sml-mode/
%{_emacslispdir}/sml-mode/*.el*
%{_infodir}/*
/etc/emacs/site-start.d/*

%changelog
* Wed Dec 25 2002 Ott Alex <ott@altlinux.ru> 3.9.5-alt1
- Initial build
